Bug 64739 - Kickstart installation problem
Kickstart installation problem
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-05-10 07:31 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-10 13:00:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Enclosed is the ks.cfg which cases the problem. (3.63 KB, text/plain)
2002-05-10 13:00 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-05-10 07:31:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20020314

Description of problem:
Once I add the "interactive" or "autostep" line to the kickstart file
the installation stops with the following error:

Could not allocate requested partitions.
Partitioning failed: Could not allocate
partitions as primary partitions.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Place "interactive" in the kickstart file
2.install with: linux ks=floppy

Actual Results:  Installation terminated with the error mentioned in
"Description" field

Expected Results:  Clean install

Additional info:

I have tried all sorts of combination of placing "interactive" and/or 
"autostep" in different locations but no success.
Comment 1 Michael Fulbright 2002-05-10 11:44:12 EDT
Could you please attach your ks.cfg file?
Comment 2 Need Real Name 2002-05-10 13:00:49 EDT
Created attachment 56984 [details]
Enclosed is the ks.cfg which cases the problem.
Comment 3 Michael Fulbright 2002-05-13 15:24:55 EDT
You need to go into this part of the ks.cfg:

# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work
#clearpart --linux
#part /boot --fstype ext2 --onpart hdb1
#part swap --onpart hdb6
#part / --fstype ext2 --onpart hdb5
#part swap --onpart hda6

and figure out if you can use these partitioning rules and uncomment them.  Be
careful as you can easily destroy data if you delete the wrong partitions.

Note You need to log in before you can comment on or make changes to this bug.